%global pypi_name testfixtures
%global _description\
TestFixtures is a collection of helpers and mock objects that are\
useful when writing unit tests or doc tests.If you're wondering why "yet\
another mock object library", testing is often described as an art form and as\
such some styles of library will suit some people while others will suit other\
styles. This library contains common test fixtures the author found himself\
repeating ...

Name:           python-%{pypi_name}
Version:        4.10.1
Release:        1%{?dist}
Summary:        A collection of helpers and mock objects for unit tests and doc tests

License:        MIT
URL:            https://github.com/Simplistix/testfixtures
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

%description %_description

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name} %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install
%py2_install

%files -n python2-%{pypi_name}
%license docs/license.txt
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py*egg-info

%files -n python3-%{pypi_name}
%license docs/license.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py*egg-info

%changelog
* Thu Sep 29 2016 David Hannequin <david.hannequin@gmail.com> - 4.10.1-1
- Initial package.
